View Issue Details

IDProjectCategoryView StatusLast Update
0005731Talerexchangepublic2019-05-25 12:43
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version0.5 
Target Version0.6Fixed in Version0.6 
Summary0005731: exchange potentially leaks DB handles
DescriptionWe get the following in the PostgreSQL log:

2019-05-23 18:04:05.185 CEST [12458] demo-blue@talerdemo FATAL: remaining connection slots are reserved for non-replication superuser connections

This indicates that the exchange *might* leak DB handles ...

Can we add some tracking/logging for this?
TagsNo tags attached.

Activities

Christian Grothoff

2019-05-25 12:43

manager   ~0014442

I believed we established in private messages that our setup would have legitimately used >= 128 connections and the server was ill-configured to only accept 100. As per Florian's PM, the Postgres configuration was fixed to address this. Hence calling this one resolved.

Issue History

Date Modified Username Field Change
2019-05-24 19:09 Florian Dold New Issue
2019-05-24 19:09 Florian Dold Status new => assigned
2019-05-24 19:09 Florian Dold Assigned To => Christian Grothoff
2019-05-25 12:43 Christian Grothoff Status assigned => resolved
2019-05-25 12:43 Christian Grothoff Resolution open => fixed
2019-05-25 12:43 Christian Grothoff Fixed in Version => 0.6
2019-05-25 12:43 Christian Grothoff Note Added: 0014442
2019-05-25 12:43 Christian Grothoff Product Version => 0.5
2019-05-25 12:43 Christian Grothoff Target Version => 0.6